algebra-3.1: Constructive abstract algebra

Safe Haskell | None

Numeric.Order.Additive

Synopsis

- class (Additive r, Order r) => AdditiveOrder r

# Documentation

class (Additive r, Order r) => AdditiveOrder r Source

z + x <= z + y = x <= y = x + z <= y + z

Instances

AdditiveOrder Bool |
AdditiveOrder Integer |
AdditiveOrder () |
AdditiveOrder Natural |
(AdditiveOrder a, AdditiveOrder b) => AdditiveOrder (a, b) |
(AdditiveOrder a, AdditiveOrder b, AdditiveOrder c) => AdditiveOrder (a, b, c) |
(AdditiveOrder a, AdditiveOrder b, AdditiveOrder c, AdditiveOrder d) => AdditiveOrder (a, b, c, d) |
(AdditiveOrder a, AdditiveOrder b, AdditiveOrder c, AdditiveOrder d, AdditiveOrder e) => AdditiveOrder (a, b, c, d, e) |